# Changed by Makefile of cvs.
# Please change this file only in cvs!

%define version 0.91
%define name drakfirsttime

Summary:	The Mandrake First Time Wizard  
Name:		%{name}
Version:	%{version}
Release:    12mdk
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
URL:		http://people.mandrakesoft.com/~daouda/mandrake/firsttime.html
License:	GPL
Group:		System/Configuration/Other
Requires:	drakxtools >= 9.1-0.19mdk, perl-MDK-Common > 1.0.4-17mdk, qiv
Requires:	perl-GTK2 >= 0.0.cvs.2003.02.12.1, perl-HTML-Parser >= 3.27-1mdk
Requires:	perl-URI >= 1.23-1mdk
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  gettext perl-devel
BuildArch:		noarch

%description
The Mandrake First Wizard is a config tool to help user set up some
basics things like themes&window managers, registration at 
mandrakeclub/mandrakeexpert the first time you login.

%prep
rm -rf %{buildroot}

%setup -q
		
%build

%install
rm -rf %{buildroot}
make prefix=%{buildroot} install 

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):\ 
needs="x11" \
icon="drakmail.png" \
section="Configuration/Other" \
title="Configure your mail" \
longtitle="Wizard tool for mail account configuration" \
command="/usr/X11R6/bin/drakmail"
EOF

#install lang
%{find_lang} drakfw

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files -f drakfw.lang
%defattr(-,root,root)
%doc README COPYING
%{_prefix}/X11R6/bin/*
%{_datadir}/drakfirsttime
%{_libdir}/libDrakX/drakfirsttime
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Wed Mar 12 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-12mdk
- remove urpmi 'test' source (Deno request)
- Translation small fix in fr.po
- New gnome themes (#3190) -> thanx to jkeller

* Mon Mar 10 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-10mdk
- drakclub final urls, error handling (Tested with Deno)
- fix mail settings in kmail (#1741)
- po updates

* Thu Feb 27 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-9mdk
- kmail, knode settings fix (thanx to lmontel)
- support multi accounts configuration in kmail
- grayed entries when no choice in drakmail 
- po updates

* Mon Feb 24 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-8mdk
- new menu entry (update menu + clean menu)

* Mon Feb 24 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-7mdk
- fix UTF8 issue
- cleanup (menu entry for drakmail + icons)
- KDE themes updates.
- add urpmi club source if (drakfw + root) || drakonline
- po updates

* Fri Feb 21 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-6mdk
- New wizard drakmail (Mozilla + Kmail)
- add missing requires (reported by Regis)
- Mozilla/Kmail mail conf (#1741)
- Mandrake Registration field compliancy (#1742)
- update po.

* Mon Feb 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-5mdk
- po support/updates
- new pixmaps
- various fixes

* Mon Feb 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-4mdk
- code snapshot
		o no privacy step
		o Galaxy theme as default
		o Handle Mandrake club subscription (test case)
		o Merge Mandrakeclub and MandrakeOnline wizard (share wiz templates)
		o bugfixes : #418 #726 #1093 #1302 #1353	
				
* Sat Feb  8 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-3mdk
- snapshot

* Fri Jan 31 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-2mdk
- Update requires.
- Cleanup spec

* Wed Jan 29 2003 Daouda LO <daouda@mandrakesoft.com> 0.91-1mdk
- complete rewriting + Gtk2 port

* Sat Sep 21 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-13mdk
- use mozilla instead of konqueror

* Sat Sep 21 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-12mdk
- add missing theme_kde_default.png 

* Thu Sep 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-10mdk
- update themes links on KDE (fbastok).
- latest po

* Tue Sep 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-9mdk
- xsetroot before execing xsession
- fix typo in locales fr (adesmond)
- set mouse cursor normal before exiting (gc)

* Wed Sep  4 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-8mdk
- check $ENV{DISPLAY} before starting drakfw. 

* Wed Sep  4 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-7mdk
- disable $ENV{TERM} check (thanx to Ludovic Paumier)

* Tue Sep  3 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-6mdk
- Wait cursor when setting background (gc)

* Fri Aug 30 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-5mdk
- cleanups

* Fri Aug 30 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-4mdk
- gconftool-2 for wm themes and application themes
- fix privacy text locales.

* Fri Aug 30 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-3mdk
- recenter browser window
- wait message while connecting to internet

* Fri Aug 30 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-2mdk
- add new pixmaps (Gnome)
- sanity checks (not runnable from console) 
- metacity new themes

* Wed Aug  7 2002 Daouda LO <daouda@mandrakesoft.com> 0.16-1mdk
- update for 9.0 
- metacity theme configuration
- po updates 

* Thu Mar 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-26mdk
- set gtkrc for default gnome (Fcrozat)

* Fri Mar  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-25mdk
- fixed typo in gnome/sawfish default theme

* Fri Mar  8 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-24mdk
- parse .gnome/gdm correctly (thx to FredC)
- add .desktop in home to save session from init 3
- wait_message while connnecting to mandrakeonline.
- sawmill default preference 

* Sun Mar  3 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-23mdk
- prevent frameless browser at "low" resolution (800x600)
- integrated po (please use the cvs for any modif)

* Thu Feb 28 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.15-22mdk
- integrated Basque translations

* Tue Feb 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-21mdk
- locales handling returns back to install.
- code update (themes).

* Sun Feb 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-20mdk
- autologin fix
- Cancel button grab focus
- Connection status bar
- resync with Van der Eijk build (please use the cvs - soft/ftw)

* Sat Feb 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.15-19mdk
- BuildRequires

* Thu Feb 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-18mdk
- put system instead of backticks when launching browser
- create Home Documents directory	

* Wed Feb 13 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-17mdk
- default browser is konqueror. 
- Justify text.
- respect chooser (kdm/gdm) choice when cancel button clicked .
- cleanup.

* Mon Jan 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.15-16mdk
- code release
- new pixmaps

* Fri Nov 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-15mdk
- code cleanup.

* Tue Oct 30 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-14mdk
- code update

* Tue Oct 16 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-13mdk
- rebuild against libpng3
- add doc.


* Wed Oct  3 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-12mdk
- handle specific charset (CN,uk,ja...)

* Wed Oct  3 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-11mdk
- euro support fix when using kde themes.
- add kdektoprc, konquerorrc files. 
- cleanup code (on process)

* Mon Oct  1 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-10mdk
- fix sawfish themes.

* Tue Sep 25 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-9mdk
- fr.po

* Tue Sep 25 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-8mdk
- cvs update
- po updates

* Mon Sep 24 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-7mdk
- code update.
- fix themes selection. 

* Sun Sep 23 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-6mdk
- code update (cleanup)

* Sun Sep 23 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-5mdk
- code update
- fix lang handling
- set mouse cursor to normal

* Tue Sep 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-4mdk
- code update 
- spec cleanup

* Tue Sep 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-3mdk
- code update

* Mon Sep 17 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-2mdk
- code snapshot
- add mail client configuration page (kmail and netscape).

* Fri Sep  7 2001 Daouda LO <daouda@mandrakesoft.com> 0.15-1mdk
- First mandrake package ( alpha release ) 

